<template>
  <div class="service-list">
    <a
      v-for="s in services"
      :key="s.id"
      :href="s.url"
      :target="_.get(s, 'attributes.type') === 'internal' ? false : '_blank'"
      rel="noopener noreferrer"
      class="service"
    >
      <!-- <div v-if="s.type === 'text'" class="text">
        <h4 v-if="s.title">{{ s.title }}</h4>

        <div v-if="s.description" class="body1">
          {{ s.description }}
        </div>
      </div> -->

      <div>
        <AppImg :src="getImageUrl(s)" />

        <h5 class="title">
          {{ s.attributes.title }}
          <client-only>
            <ArrowUpRight24 class="arrow" />
          </client-only>
        </h5>
      </div>
    </a>
  </div>
</template>

<script>
import _ from "lodash";

export default {
  props: {
    services: {
      type: Array,
      default: () => {
        return [];
      },
    },
  },
  computed: {
    _() {
      return _;
    },
  },
  methods: {
    getImageUrl(w) {
      return (
        process.env.api_url + _.get(w, "attributes.image.data.attributes.url")
      );
    },
  },
};
</script>

<style lang="scss" scoped>
.service-list {
  display: flex;
  flex-wrap: wrap;
  .service {
    flex: 1;
    min-width: 50%;
    padding: 80px;
    border-top: 1px solid $color-primary-500;
    text-decoration: none;
    display: block;
    @include media-breakpoint(mobile) {
      min-width: 100%;
      padding: 40px 24px;
    }
    > div {
      max-width: 700px;
      margin: 0 auto;
    }
    .text {
      h4 {
        margin-bottom: 40px;
        @include media-breakpoint(mobile) {
          margin-bottom: 24px;
        }
      }
    }
    img {
      width: 100%;
      aspect-ratio: 16/9;
    }
    .title {
      margin-top: 40px;
      display: flex;
      font-weight: normal;
      justify-content: space-between;
      .arrow {
        color: $color-primary-500;
      }
    }
  }
  .service:nth-child(even) {
    border-left: 1px solid $color-primary-500;
    @include media-breakpoint(mobile) {
      border-left: 0;
    }
  }
}
</style>
